Update a specific on-call pay report by id. Triggers report regeneration.
curl --request PUT \
--url https://api.rootly.com/v1/on_call_pay_reports/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "on_call_pay_reports",
"attributes": {
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"schedule_ids": [
"<string>"
]
}
}
}
'{
"data": {
"id": "<string>",
"type": "on_call_pay_reports",
"attributes": {
"status": "processing",
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"total_duration": 123,
"users_count": 123,
"currency": "<string>",
"pay_type": "hourly",
"hourly_rate_cents": 123,
"daily_rate_cents": 123,
"total_pay_cents": 123,
"include_shadow": true,
"show_individual_shift_data": true,
"has_single_rate": true,
"enabled_granular_time_breakdown": true,
"last_generated_at": "2023-11-07T05:31:56Z"
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
on_call_pay_report updated
Show child attributes
Was this page helpful?
curl --request PUT \
--url https://api.rootly.com/v1/on_call_pay_reports/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "on_call_pay_reports",
"attributes": {
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"schedule_ids": [
"<string>"
]
}
}
}
'{
"data": {
"id": "<string>",
"type": "on_call_pay_reports",
"attributes": {
"status": "processing",
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"total_duration": 123,
"users_count": 123,
"currency": "<string>",
"pay_type": "hourly",
"hourly_rate_cents": 123,
"daily_rate_cents": 123,
"total_pay_cents": 123,
"include_shadow": true,
"show_individual_shift_data": true,
"has_single_rate": true,
"enabled_granular_time_breakdown": true,
"last_generated_at": "2023-11-07T05:31:56Z"
}
}
}